package co;

import co.ui.ControlPaneView;
import com.evelopers.unimod.runtime.ControlledObject;
import com.evelopers.unimod.runtime.context.StateMachineContext;
import common.Parameters;

/**
 *     
 *    .
 */
public class PourOutDevice implements ControlledObject {
    private int canCounter;

    /**
     * @unimod.action.descr    
     */
    public void z0(StateMachineContext context) {
        canCounter = Integer.parseInt(Parameters.getParameter(
            "initial-amount-of-cans"));
        System.out.println(Parameters.getMessage(
            "Logger.PourOutDevice.z0"));
    }

    /**
     * @unimod.action.descr   
     */
    public void z1(StateMachineContext context) {
        System.out.println(Parameters.getMessage(
            "Logger.PourOutDevice.z1"));
        ControlPaneView.getVm().drawCan(true);
    }

    /**
     * @unimod.action.descr    
     */
    public void z2(StateMachineContext context) {
        System.out.println(Parameters.getMessage(
            "Logger.PourOutDevice.z2"));
        ControlPaneView.getVm().fireEvent(ep.ControlPane.E4);
    }

    /**
     * @unimod.action.descr    
     */
    public void z3(StateMachineContext context) {
        canCounter--;
        System.out.println(Parameters.getMessage(
            "Logger.PourOutDevice.z3"));
    }

    /**
     * @unimod.action.descr    
     */
    public void z4(StateMachineContext context) {
        System.out.println(Parameters.getMessage(
            "Logger.PourOutDevice.z4"));
    }

    /**
     * @unimod.action.descr   
     */
    public boolean x1(StateMachineContext context) {
        if (canCounter == 0) {
            System.out.println(Parameters.getMessage(
                "Logger.PourOutDevice.x1.true"));
            return true;
        } else {
            System.out.println(Parameters.getMessage(
                "Logger.PourOutDevice.x1.false"));
            return false;
        }
    }
}